import { DepositsRep } from "@/api/user";
import Tabs from "@/components/Tabs";
import { server } from "@/utils/server";
import Message from "./components/Message";

/**
 * @description 获取用户充值记录接口地址：https://app.apifox.com/link/project/4790544/apis/api-216321352
 */
const getDepositsApi = async () => {
    return server
        .request<DepositsRep[]>({
            url: "/v1/api/user/user_deposits",
            method: "POST",
            data: { page: 1, size: 20 },
        })
        .then((res) => {
            if (res.code === 200) return res.data;
            return [];
        });
};
/**
 * @description获取用户提现记录 接口地址：https://app.apifox.com/link/project/4790544/apis/api-216388352
 */
const getWithdraws = async () => {
    return server
        .request<DepositsRep[]>({
            url: "/v1/api/user/user_withdraws",
            method: "POST",
            data: { page: 1, size: 20 },
        })
        .then((res) => {
            if (res.code === 200) return res.data;
            return [];
        });
};
const Transactions = async () => {
    const deposits = await getDepositsApi();
    const withdraws = await getWithdraws();
    const defaultTabs = [
        { id: 1, name: "deposits", content: 0, render: <Message data={deposits}></Message> },
        { id: 2, name: "saques", content: 0, render: <Message data={withdraws}></Message> },
        { id: 3, name: "bonus", content: 0, render: <Message data={[]}></Message> },
    ];
    return <Tabs items={defaultTabs} />;
};

export default Transactions;
